Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bug 811318 - mail-filter/rspamd-3.0-r2 - /.../doctest.h: error: size of array altStackMem is not an integral constant-expression
Summary: mail-filter/rspamd-3.0-r2 - /.../doctest.h: error: size of array altStackMem ...
Status: RESOLVED FIXED
Alias: None
Product: Gentoo Linux
Classification: Unclassified
Component: Current packages (show other bugs)
Hardware: All Linux
: Normal normal (vote)
Assignee: Christian Roessner
URL:
Whiteboard:
Keywords: PullRequest
Depends on:
Blocks: glibc-2.34
  Show dependency tree
 
Reported: 2021-09-01 07:17 UTC by Toralf Förster
Modified: 2021-09-07 20:25 UTC (History)
3 users (show)

See Also:
Package list:
Runtime testing required: ---


Attachments
emerge-info.txt (emerge-info.txt,15.56 KB, text/plain)
2021-09-01 07:17 UTC, Toralf Förster
Details
emerge-history.txt (emerge-history.txt,163.81 KB, text/plain)
2021-09-01 07:17 UTC, Toralf Förster
Details
environment (environment,115.13 KB, text/plain)
2021-09-01 07:17 UTC, Toralf Förster
Details
etc.portage.tar.bz2 (etc.portage.tar.bz2,15.09 KB, application/x-bzip)
2021-09-01 07:17 UTC, Toralf Förster
Details
logs.tar.bz2 (logs.tar.bz2,11.03 KB, application/x-bzip)
2021-09-01 07:17 UTC, Toralf Förster
Details
mail-filter:rspamd-3.0-r2:20210901-061249.log (mail-filter:rspamd-3.0-r2:20210901-061249.log,481.37 KB, text/plain)
2021-09-01 07:17 UTC, Toralf Förster
Details
temp.tar.bz2 (temp.tar.bz2,157.10 KB, application/x-bzip)
2021-09-01 07:17 UTC, Toralf Förster
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Toralf Förster gentoo-dev 2021-09-01 07:17:46 UTC
[168/269] /usr/bin/x86_64-pc-linux-gnu-g++ -DDOCTEST_CONFIG_NO_MULTI_LANE_ATOMICS -DDOCTEST_CONFIG_USE_STD_HEADERS -DHAVE_CONFIG_H -DSYS_ZSTD -DU_CHARSET_IS_UTF8 -Drspamd_server_EXPORTS -I/var/tmp/portage/mail-filter/rspamd-3.0-r2/work/rspamd-3.0/contrib/hiredis -I/var/tmp/portage/mail-filter/rspamd-3.0-r2/work/rspamd-3.0 -I/var/tmp/portage/mail-filter/rspamd-3.0-r2/work/rspamd-3.0/src -I/var/tmp/portage/mail-filter/rspamd-3.0-r2/work/rspamd-3.0/src/libutil -I/var/tmp/portage/mail-filter/rspamd-3.0-r2/work/rspamd-3.0/src/libserver -I/var/tmp/portage/mail-filter/rspamd-3.0-r2/work/rspamd-3.0/src/libmime -I/var/tmp/portage/mail-filter/rspamd-3.0-r2/work/rspamd-3.0/src/libstat -I/var/tmp/portage/mail-filter/rspamd-3.0-r2/work/rspamd-3.0/src/libcryptobox -I/var/tmp/portage/mail-filter/rspamd-3.0-r2/work/rspamd-3.0/contrib/libucl -I/var/tmp/portage/mail-filter/rspamd-3.0-r2/work/rspamd-3.0/contrib/replxx/include -I/var/tmp/portage/mail-filter/rspamd-3.0-r2/work/rspamd-3.0/contrib/uthash -I/var/tmp/portage/mail-filter/rspamd-3.0-r2/work/rspamd-3.0/contrib/http-parser -I/var/tmp/portage/mail-filter/rspamd-3.0-r2/work/rspamd-3.0/contrib/fpconv -I/var/tmp/portage/mail-filter/rspamd-3.0-r2/work/rspamd-3.0/contrib/libottery -I/var/tmp/portage/mail-filter/rspamd-3.0-r2/work/rspamd-3.0/contrib/xxhash -I/var/tmp/portage/mail-filter/rspamd-3.0-r2/work/rspamd-3.0/contrib/cdb -I/var/tmp/portage/mail-filter/rspamd-3.0-r2/work/rspamd-3.0/contrib/librdns -I/var/tmp/portage/mail-filter/rspamd-3.0-r2/work/rspamd-3.0/contrib/aho-corasick -I/var/tmp/portage/mail-filter/rspamd-3.0-r2/work/rspamd-3.0/contrib/lc-btrie -I/var/tmp/portage/mail-filter/rspamd-3.0-r2/work/rspamd-3.0/contrib/lua-lpeg -I/var/tmp/portage/mail-filter/rspamd-3.0-r2/work/rspamd-3.0/contrib/frozen/include -I/var/tmp/portage/mail-filter/rspamd-3.0-r2/work/rspamd-3.0/contrib/doctest -I/var/tmp/portage/mail-filter/rspamd-3.0-r2/work/rspamd-3.0/contrib/fu2/include -I/var/tmp/portage/mail-filter/rspamd-3.0-r2/work/rspamd-3.0_build/src -I/var/tmp/portage/mail-filter/rspamd-3.0-r2/work/rspamd-3.0_build/src/libcryptobox -I/usr/include/lua5.1 -I/usr/include/glib-2.0 -I/usr/lib64/glib-2.0/include -I/usr/include/hs -I/var/tmp/portage/mail-filter/rspamd-3.0-r2/work/rspamd-3.0/compat  -pipe -march=native -fno-diagnostics-color -O2 -fdiagnostics-color=always -fPIC -msse2 -m64 -D_GNU_SOURCE -DLINUX -Wextra -Wall -Wpointer-arith -Wno-unused-parameter -Wno-unused-function -Wunused-variable -Wno-strict-aliasing -fno-strict-aliasing -Wnull-dereference -Wduplicated-cond -Wno-unused-const-variable -Wno-sign-compare -Wno-implicit-fallthrough -Wmissing-noreturn -Wmissing-format-attribute -fPIC -std=gnu++17 -MD -MT src/CMakeFiles/rspamd-server.dir/libserver/css/css_selector.cxx.o -MF src/CMakeFiles/rspamd-server.dir/libserver/css/css_selector.cxx.o.d -o src/CMakeFiles/rspamd-server.dir/libserver/css/css_selector.cxx.o -c /var/tmp/portage/mail-filter/rspamd-3.0-r2/work/rspamd-3.0/src/libserver/css/css_selector.cxx

  -------------------------------------------------------------------

  This is an unstable amd64 chroot image at a tinderbox (==build bot)
  name: 17.1_hardened-j4-20210830-222931

  -------------------------------------------------------------------

gcc-config -l:
 [1] x86_64-pc-linux-gnu-11.2.0 *
clang version 12.0.1
Target: x86_64-pc-linux-gnu
Thread model: posix
InstalledDir: /usr/lib/llvm/12/bin
/usr/lib/llvm/12
12.0.1
Python 3.9.7
Available Ruby profiles:
  [1]   ruby26 (with Rubygems)
  [2]   ruby30 (with Rubygems) *
Available Rust versions:
  [1]   rust-1.54.0 *
The Glorious Glasgow Haskell Compilation System, version 8.10.4

  HEAD of ::gentoo
commit 618fc840c13d7fa8d9d03b55943777fa31e28c08
Author: Repository mirror & CI <repomirrorci@gentoo.org>
Date:   Wed Sep 1 05:21:25 2021 +0000

    2021-09-01 05:21:24 UTC

emerge -qpvO mail-filter/rspamd
[ebuild  N    ] mail-filter/rspamd-3.0-r2  USE="-blas -jemalloc -jit -pcre2 -test" CPU_FLAGS_X86="ssse3" LUA_SINGLE_TARGET="lua5-1 -lua5-3 -luajit"
Comment 1 Toralf Förster gentoo-dev 2021-09-01 07:17:47 UTC
Created attachment 737023 [details]
emerge-info.txt
Comment 2 Toralf Förster gentoo-dev 2021-09-01 07:17:49 UTC
Created attachment 737026 [details]
emerge-history.txt
Comment 3 Toralf Förster gentoo-dev 2021-09-01 07:17:50 UTC
Created attachment 737029 [details]
environment
Comment 4 Toralf Förster gentoo-dev 2021-09-01 07:17:52 UTC
Created attachment 737032 [details]
etc.portage.tar.bz2
Comment 5 Toralf Förster gentoo-dev 2021-09-01 07:17:53 UTC
Created attachment 737035 [details]
logs.tar.bz2
Comment 6 Toralf Förster gentoo-dev 2021-09-01 07:17:55 UTC
Created attachment 737038 [details]
mail-filter:rspamd-3.0-r2:20210901-061249.log
Comment 7 Toralf Förster gentoo-dev 2021-09-01 07:17:56 UTC
Created attachment 737041 [details]
temp.tar.bz2
Comment 8 Petr Vaněk 2021-09-01 07:43:16 UTC
This issue is in bundled doctest library. Rspamd ships doctest-2.4.5, upstream already addressed it in 2.4.6 release [1], commit 099d5414e9724 [2].

[1] https://github.com/onqtam/doctest/blob/master/CHANGELOG.md#246-2021-03-22
[2] https://github.com/onqtam/doctest/commit/099d5414e97244ec44cf46b14cd176b3a3dc52e3
Comment 9 Petr Vaněk 2021-09-02 09:18:45 UTC
I sent PR which unbundles doctest library [1] to rspamd. I already have prapared dev-lib/doctest-2.4.6.ebuild and I will fix rpsmad-{3.0,9999}.ebuild appropriately when the PR will be accepted.

[1] https://github.com/rspamd/rspamd/pull/3875
Comment 10 Sam James archtester gentoo-dev Security 2021-09-05 02:52:12 UTC
(In reply to Petr Vaněk from comment #9)
> I sent PR which unbundles doctest library [1] to rspamd. I already have
> prapared dev-lib/doctest-2.4.6.ebuild and I will fix
> rpsmad-{3.0,9999}.ebuild appropriately when the PR will be accepted.
> 
> [1] https://github.com/rspamd/rspamd/pull/3875

Thank you!
Comment 11 Larry the Git Cow gentoo-dev 2021-09-07 20:25:23 UTC
The bug has been closed via the following commit(s):

https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=b097209aecec050012ffa8b6f80f5e4d56308abd

commit b097209aecec050012ffa8b6f80f5e4d56308abd
Author:     Petr Vaněk <arkamar@atlas.cz>
AuthorDate: 2021-09-06 06:15:55 +0000
Commit:     Sam James <sam@gentoo.org>
CommitDate: 2021-09-07 20:25:00 +0000

    mail-filter/rspamd: use system dev-cpp/doctest
    
    This backports patch already merged to upstream, which allows us to use
    system dev-cpp/doctest library rather than bundled one. Rspamd bundles
    doctest-2.4.5 which fails to build with glibc-2.34.
    
    Closes: https://bugs.gentoo.org/811318
    Signed-off-by: Petr Vaněk <arkamar@atlas.cz>
    Signed-off-by: Sam James <sam@gentoo.org>

 .../rspamd/files/rspamd-3.0-system-doctest.patch   | 72 ++++++++++++++++++++++
 .../{rspamd-3.0-r2.ebuild => rspamd-3.0-r3.ebuild} |  5 +-
 2 files changed, 76 insertions(+), 1 deletion(-)

Additionally, it has been referenced in the following commit(s):

https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=dafe205df773f3ed6f0867733f571a6f6d2efde9

commit dafe205df773f3ed6f0867733f571a6f6d2efde9
Author:     Petr Vaněk <arkamar@atlas.cz>
AuthorDate: 2021-09-01 09:46:26 +0000
Commit:     Sam James <sam@gentoo.org>
CommitDate: 2021-09-07 20:23:46 +0000

    dev-cpp/doctest: initial import
    
    Bug: https://bugs.gentoo.org/811318
    Bug: https://bugs.gentoo.org/809752
    Signed-off-by: Petr Vaněk <arkamar@atlas.cz>
    Signed-off-by: Sam James <sam@gentoo.org>

 dev-cpp/doctest/Manifest             |  1 +
 dev-cpp/doctest/doctest-2.4.6.ebuild | 23 +++++++++++++++++++++++
 dev-cpp/doctest/metadata.xml         | 15 +++++++++++++++
 3 files changed, 39 insertions(+)